<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output xml:space="preserve" indent="yes"/>
<xsl:template match="/">
    <html>
        <head>
            <title>Uniforge - <xsl:value-of select="//character/@name"/></title>
<xsl:if test="count(//player/@name) &gt; 0">
<meta name="author"><xsl:attribute name="content"><xsl:value-of select="//player/@name"/></xsl:attribute></meta></xsl:if>
<meta http-equiv="Content-Language" content="en-gb" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
p {
  font-size: small;
}
div.mountingdiv {
  width: 40em;
}
h1 {
  color: gray;
}
div.halveddiv {
  float: left;
  width: 25.5em;
  margin-bottom: 1em;
}
div#characterportrait {
  border: 2px solid silver;
  height: 270px;
  width: 203px;
  overflow: hidden;
  margin-left: 1em; 
}
th, td {
  border: 1px solid silver;
  font-size: small;
}
table, tr {
  border: 2px solid silver;
}
table {
  border-collapse: collapse;
  width: 100%;
  empty-cells: hide;
  clear: both;
}
caption {
  background-color: silver;
  color: black;
  font-weight: bold;
  text-transform: uppercase;
  border-width: 2px 2px 0 2px;
  border-color: silver;
  border-style: solid;
}
colgroup {
  border: 2px solid silver;
}
th {
  text-align: left;
}
td, th {
  padding: 0 0.2em 0 0.2em;
}
.note {
  font-style: oblique;
}
thead th {
  text-align: center;
}
p.footer {
  text-align: center;
}
img#campaignbanner {
  height: 60px;
  width: 468px;
}
#charactertable colgroup {
  width: 33%;
}
#descriptiontable .coli, #descriptiontable .coliii, #descriptiontable .colv, #descriptiontable .colvii {
  width: 20%;
}
#descriptiontable .colii, #descriptiontable .coliv, #descriptiontable .colvi, #descriptiontable .colviii {
  width: 5%;
}
#attributestable .coli, #attributestable .coliii, #attributestable .colv, #attributestable .colvii {
  width: 20%;
}
#attributestable .colii, #attributestable .coliv, #attributestable .colvi, #attributestable .colviii {
  width: 5%;
}
#qualitiestable .coli, #skillstable .coli, #metaphysicstable .coli {
  width: 33%;
}
#qualitiestable .colv, #skillstable .colv, #metaphysicstable .colv {
  width: 50%;
}
#combattable .coli, #visualtable .coli {
  width: 50%;
}
#notestable td, #historytable td, #contactstable td {
  font-size: medium;
}
<xsl:comment><![CDATA[[if IE]>
td, th  {
  font-size: x-small;
}
p.footer {
  font-size: xx-small;
}
#notestable td, #historytable td, #contactstable td {
  font-size: small;
}
<![endif]]]></xsl:comment>
</style>
        </head>
        <body>
		<div class="mountingdiv">
		<div class="halveddiv">
		<h1><xsl:value-of select="/character/@name"/></h1>
		<table id="charactertable">
		<caption>Character</caption>
        <colgroup/>		
		<colgroup/>
		<colgroup/>
		<thead>
		<tr>
		<th>Type</th>
		<th>Concept</th>
		<th>Association</th>
		</tr>
		</thead>
		<tbody>
		<tr>
		<td><xsl:value-of select="//charactertype/@choice"/></td>
		<td><xsl:if test="count(//concept/@concept) &gt; 0"><xsl:value-of select="//concept/@concept"/></xsl:if></td>
		<td><xsl:if test="count(//association/@name) &gt; 0"><xsl:value-of select="//association/@name"/></xsl:if></td>
		</tr>
		<xsl:if test="count(//association/@name) &gt; 0"><tr><td colspan="3" class="note"><xsl:value-of select="//association"/></td></tr></xsl:if>
		</tbody>
		</table>
		  <br />
        <table id="descriptiontable">
		<caption>Description</caption>
		<colgroup><col class="coli"/><col class="colii"/></colgroup>
 		<colgroup><col class="coliii"/><col class="coliv"/></colgroup>
		<colgroup><col class="colv"/><col class="colvi"/></colgroup>
		<colgroup><col class="colvii"/><col class="colviii"/></colgroup>
        <tr>
        <th>Gender:</th><td><xsl:value-of select="//description/@gender"/></td>
        <th>Age:</th><td><xsl:value-of select="//description/@age"/></td>
        <th>Hair:</th><td colspan="3"><xsl:value-of select="//description/@hair"/></td>
        </tr>
        <tr>
        <th>Race:</th><td><xsl:value-of select="//description/@race"/></td>
        <th>Height:</th><td><xsl:value-of select="//description/@height"/></td>
        <th>Weight:</th><td><xsl:value-of select="//description/@weight"/></td>
        <th>Eyes:</th><td><xsl:value-of select="//description/@eyes"/></td>
        </tr>
        </table>
		</div>
		<div id="characterportrait" class="halveddiv">
		<table style="width: 203px; height: 270px; border-collapse: collapse; border: o; margin: 0; padding: 0; vertical-align: middle; text-align: center;">
		<td style="border: 0; margin: 0; padding: 0;">
		<xsl:if test="count(//portrait/@path) &gt; 0">
		<img id="loadedimage" alt="Character Portrait"><xsl:attribute name="src"><xsl:value-of select="//portrait/@path"/></xsl:attribute></img>
		</xsl:if>
		</td>
		</table>
		</div>
        <table id="attributestable">
 		<caption>Attributes</caption>
		<colgroup><col class="coli"/><col class="colii"/></colgroup>
 		<colgroup><col class="coliii"/><col class="coliv"/></colgroup>
		<colgroup><col class="colv"/><col class="colvi"/></colgroup>
		<colgroup><col class="colvii"/><col class="colviii"/></colgroup>
		<thead>
        <tr>
        <th colspan="2">Physical Attributes</th>
        <th colspan="2">Mental Attributes</th>
        <th colspan="4">Secondary Attributes</th>
        </tr>
		</thead>
		<tbody>
        <tr>
            <th>Strength:</th>
            <td><xsl:value-of select="//strength/@total"/></td>
            <th>Intelligence:</th>
            <td><xsl:value-of select="//intelligence/@total"/></td>
            <th>Life Points:</th>
            <td><xsl:value-of select="//lifepoints/@total"/></td>
            <th><xsl:if test="count(//dramapoints) = 0">Endurance Points:</xsl:if></th>
            <td><xsl:if test="count(//dramapoints) = 0"><xsl:value-of select="//endurance/@total"/></xsl:if></td>
        </tr>
        <tr>
            <th>Dexterity:</th>
            <td><xsl:value-of select="//dexterity/@total"/></td>
            <th>Perception:</th>
            <td><xsl:value-of select="//perception/@total"/></td>
            <th><xsl:if test="count(//dramapoints) = 0">Speed:</xsl:if></th>
            <td><xsl:if test="count(//dramapoints) = 0"><xsl:value-of select="//speed/@total"/></xsl:if></td>
            <th><xsl:if test="count(//dramapoints) = 0">Essence Pool:</xsl:if></th>
            <td><xsl:if test="count(//dramapoints) = 0"><xsl:value-of select="//essence/@total"/></xsl:if></td>
        </tr>
        <tr>
            <th>Consitution:</th>
            <td><xsl:value-of select="//constitution/@total"/></td>
            <th>Willpower:</th>
            <td><xsl:value-of select="//willpower/@total"/></td>
            <th><xsl:if test="//dramapoints/@points &gt; 0">Drama Points:</xsl:if></th>
            <td><xsl:if test="//dramapoints/@points &gt; 0"><xsl:value-of select="//dramapoints/@points"/></xsl:if></td>
            <td><xsl:if test="count(//extrastats) &gt; 0"><xsl:value-of select="//extrastats"/></xsl:if></td>
        </tr>
		</tbody>
        </table>
        <xsl:if test="count(//quality) &gt; 0">
 		<br />
        <table id="qualitiestable">
        <caption>Qualities and Drawbacks</caption>
		<colgroup><col class="coli"/><col class="colii"/></colgroup>
 		<colgroup><col class="coliii"/><col class="coliv"/><col class="colv"/></colgroup>
        <thead>
        <tr>
            <th>Quality or Drawback</th>
            <th>Level</th>
            <th>Cost</th>
            <th>XPs</th>
            <th>Notes</th>
        </tr>
		</thead>
		<tbody>
		<xsl:for-each select="//quality">
            <tr>
                <td><xsl:value-of select="@col0"/></td>
                <td><xsl:value-of select="@col1"/></td>
                <td><xsl:value-of select="@col2"/></td>
                <td><xsl:value-of select="@col3"/></td>
                <td class="note"><xsl:value-of select="."/></td>
            </tr>
         </xsl:for-each>
         </tbody> 
		 </table>
        </xsl:if>
        <xsl:if test="count(//skill) &gt; 0">
		<br />
        <table id="skillstable">
		<caption>Skills</caption>
		<colgroup><col class="coli"/><col class="colii"/></colgroup>
 		<colgroup><col class="coliii"/><col class="coliv"/><col class="colv"/></colgroup>
		<thead>
            <tr>
                <th>Skill</th>
                <th>Level</th>
                <th>Cost</th>
                <th>XPs</th>
                <th>Notes</th>
            </tr>
		</thead>
		<tbody>
            <xsl:for-each select="//skill">
            <tr>
                <td><xsl:value-of select="@col0"/></td>
                <td><xsl:value-of select="@col1"/></td>
                <td><xsl:value-of select="@col2"/></td>
                <td><xsl:value-of select="@col3"/></td>
                <td class="note"><xsl:value-of select="."/></td>
            </tr>
            </xsl:for-each>
		</tbody>
        </table>
        </xsl:if>
        <xsl:if test="count(//martialmaneuver) &gt; 0">
            <br />
            <table  id="combattable">
			<caption>Combat Moves</caption>
			<col class="coli"/><col class="colii"/>
                <xsl:for-each select="//martialmaneuver">
                <tr>
                    <td><xsl:value-of select="@name"/></td>
                    <td><xsl:value-of select="@value"/></td>
                </tr>
                </xsl:for-each>
            </table>
        </xsl:if>
        <xsl:if test="count(//visualization) &gt; 0">
            <br />
            <table id="visualtable">
			<caption>Visualizations</caption>
			<col class="coli"/><col class="colii"/>
                <xsl:for-each select="//visualization">
                <tr>
                    <td><xsl:value-of select="@name"/></td>
                    <td><xsl:value-of select="@value"/></td>
                </tr>
                </xsl:for-each>
            </table>
        </xsl:if>
        <xsl:if test="count(//meta) &gt; 0">
        <br />
        <table id="metaphysicstable">
        <caption>Metaphysics</caption>
		<colgroup><col class="coli"/><col class="colii"/></colgroup>
 		<colgroup><col class="coliii"/><col class="coliv"/><col class="colv"/></colgroup>
			<thead>
            <tr>
                    <th>Meta</th>
                    <th>Level</th>
                    <th>Cost</th>
                    <th>XPs</th>
                    <th>Notes</th>
            </tr>
			</thead>
			<tbody>
                 <xsl:for-each select="//meta">
                 <tr>
                                <td><xsl:value-of select="@col0"/></td>
                                <td><xsl:value-of select="@col1"/></td>
                                <td><xsl:value-of select="@col2"/></td>
                                <td><xsl:value-of select="@col3"/></td>
                                <td class="note"><xsl:value-of select="."/></td>
                 </tr>
                 </xsl:for-each>
                 </tbody>
		    </table>
            </xsl:if>
            <xsl:if test="count(//altforms) &gt; 0">
            <br />
            <table id="alternatetable">
            <caption>Alternate Forms</caption>
            <tr>
                <td>
                    <xsl:for-each select="//altforms/p">
                        <xsl:value-of select="."/><br />
                    </xsl:for-each>
                </td>
            </tr>
            </table>
            </xsl:if>
            <xsl:if test="count(//equipment) &gt; 0">
            <br />
            <table id="equipmenttable">
            <caption>Equipment</caption>
            <tr>
                <td>
                    <xsl:for-each select="//equipment/p">
                        <xsl:value-of select="."/><br />
                    </xsl:for-each>
                </td>
            </tr>
            </table>
            </xsl:if>
            <xsl:if test="count(//notes) &gt; 0">
            <br />
            <table id="notestable">
            <caption>Notes</caption>
            <tr>
                <td>
                    <xsl:for-each select="//notes/p">
                        <xsl:value-of select="."/><br />
                    </xsl:for-each>
                </td>
            </tr>
            </table>
            </xsl:if>
            <xsl:if test="count(//history) &gt; 0">
            <br />
            <table id="historytable">
            <caption>History</caption>
            <tr>
                <td>
                    <xsl:for-each select="//history/p">    
                        <xsl:value-of select="."/><br />
                    </xsl:for-each>
                </td>
            </tr>
            </table>
            </xsl:if>
            <xsl:if test="count(//contacts) &gt; 0">
            <br />
            <table id="contactstable">
            <caption>Contacts</caption>
            <tr>
                <td>
                    <xsl:for-each select="//contacts/p">
                        <xsl:value-of select="."/><br />
                    </xsl:for-each>
                </td>
            </tr>
            </table>
        </xsl:if>
 		<p class="footer"><img id="campaignbanner" src="campaignbanner.png" alt="Campaign Banner" /></p>
        <p class="footer">Character sheet design by nemarsde@leanerminds.com. Character built in <xsl:value-of select="/character/@UniForgeVersion"/>. Last Modified <xsl:value-of select="/character/@LastChange"/></p>
		</div>
        </body>
    </html>
</xsl:template>
</xsl:stylesheet>
